<?php
/*
Plugin Name: Auto Attachments
Plugin URI: http://www.kaisercrazy.com/cms-sistemleri/wordpress/yeni-plugin-yazdim-auto-attachments.html
Description: This plugin makes your attachments more effective. Supported attachment types are Word, Excel, Pdf, PowerPoint, zip, rar, tar, tar.gz, mp3, flv, mp4 
Version: 0.3
Author: Serkan Algur
Author URI: http://www.kaisercrazy.com
License: GNU
*/

function multilingual_aa() {
// Internationalization, first(!)
load_plugin_textdomain('autoa', false, dirname(plugin_basename( __FILE__ )).'/languages');
// Other init stuff, be sure to it after load_plugins_textdomain if it involves translated text(!)
}
add_action('init','multilingual_aa');

//Defaults
$aaopts = array(
	'mp3_listen' => 'Files to Listen', // Default inf. bar title (audio)
	'video_watch' => 'Files to Watch', // Default inf. bar title (video)
	'rarupload' => 'yes',
	'showmp3info' => 'yes',
	'showvideoinfo' => 'yes',
	'galeri' => 'yes',
	'thw' => '100',
	'thh' => '100',
);

//add 2 db
add_option('OPTIONS', $aaopts);

//reload
$aaopts = get_option('OPTIONS');


//Add RAR upload allow
$rarupload1 = get_option('rarupload');
if ($rarupload1 == 'yes') {
	function yeni_mime_type($mimes) {
	$yeni_mime = array (
	'rar' => 'application/x-rar-compressed');
	return array_merge($mimes,$yeni_mime);
}

add_filter('upload_mimes','yeni_mime_type'); }

//Colorbox usage (added with 0.2.7)
$colorboxusage = get_option('use_colorbox');
if ($colorboxusage == 'yes') {
add_action('wp_print_scripts', 'enqueue_aa_scripts');
add_action('wp_print_styles', 'enqueue_aa_styles');
}

function enqueue_aa_scripts() {
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
    wp_enqueue_script('jquery');
    wp_enqueue_script('colorbox_script', "$urlp/colorbox/jquery.colorbox-min.js" , array('jquery'));
    wp_enqueue_script('colorbox_js', "$urlp/colorbox/mycolorbox.js" , array('jquery'));
}

function enqueue_aa_styles() {
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
    wp_enqueue_style('colorbox_css', "$urlp/colorbox/colorbox.css");
}

//Add Css into Header (Header Text Options (added with v0.2.6))
add_action('wp_head', 'addHeaderCode');
function addHeaderCode() {
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
            echo '<link type="text/css" rel="stylesheet" href="'.$urlp.'/a-a.css" />' . "\n";
//With 0.2.6 you can decide show or hide :)
if (get_option('showmp3info') == '') {echo '<style>div.mp3info {display:none;}</style>';}
if (get_option('showvideoinfo') == '') {echo '<style>div.videoinfo {display:none;}</style>';}
}

//Admin Area
include 'admin-area.php';

// Function Area 
function get_attachment_icons($echo = false){
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
	$sAttachmentString = "<div class='dIW'>";
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/pdf',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/pdf.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//Word Documents
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/msword',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/word.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//Powerpoint Documents
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/vnd.ms-powerpoint',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/pp.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//Excel Documents
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/vnd.ms-excel',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/excel.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//Zipped Files
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/zip',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/zip.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}


	//Rar files
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/x-rar-compressed',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/rar.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}

	//x-tar files
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/x-tar',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/tar.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}

	//x-gzip files
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/x-gzip',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/gz.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//ODS
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/vnd.oasis.opendocument.spreadsheet',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/spreadsheet.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//ODF
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/vnd.oasis.opendocument.formula',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/math.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>".$file->post_title."</a>";
		$sAttachmentString .= "</div>";
		}
	}

	//Audio Files
	$mp3s = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'audio',  //MIME Type condition
	 ) );

	if (!empty($mp3s)) :
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
	$sAttachmentString .= "<div class='dIW'><div class='mp3info'>".get_option('mp3_listen')."</div><ul>";
    		$sAttachmentString .= "<script language='javascript' type='text/javascript' src='$urlp/jw/swfobject.js'></script>";
		foreach($mp3s as $mp3) :
    		$sAttachmentString .= "<li'>";

			if(!empty($mp3->post_title)) : //checking to make sure the post title isn't empty
			endif;
			if(!empty($mp3->post_content)) : //checking to make sure something exists in post_content (description)
			endif;
			$sAttachmentString .= "<div id='mediaspace".$mp3->ID."'></div>";
			$sAttachmentString .= "<script type='text/javascript'>";
			$sAttachmentString .= "var so = new SWFObject('$urlp/jw/player.swf','ply','470','24','9','#000000');";
			$sAttachmentString .= "so.addParam('allowfullscreen','true');";
			$sAttachmentString .= "so.addParam('allowscriptaccess','always');";
			$sAttachmentString .= "so.addParam('wmode','opaque');";
			$sAttachmentString .= "so.addVariable('file','".$mp3->guid."');";
			$sAttachmentString .= "so.write('mediaspace".$mp3->ID."');";
			$sAttachmentString .= "</script>";
			$sAttachmentString .= "<span class='mp3title'>".$mp3->post_title." - ".$mp3->post_content."</span>";
			$sAttachmentString .= "</li>";
		endforeach;
	$sAttachmentString .= "</ul></div>";
	endif;

	//Video Support flv, mp4, etc. added with 0.2
	$videoss = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'video',  //MIME Type condition
	 ) );

	if (!empty($videoss)) :
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
	$sAttachmentString .= "<div class='dIW'><div class='videoinfo'>".get_option('video_watch')."</div><ul>";
    		$sAttachmentString .= "<script language='javascript' type='text/javascript' src='$urlp/jw/swfobject.js'></script>";
		foreach($videoss as $videos) :
    		$sAttachmentString .= "<li'>";

			if(!empty($videos->post_title)) : //checking to make sure the post title isn't empty
			endif;
			if(!empty($videos->post_content)) : //checking to make sure something exists in post_content (description)
			endif;
			$sAttachmentString .= "<div id='mediaspace".$videos->ID."'></div>";
			$sAttachmentString .= "<script type='text/javascript'>";
			$sAttachmentString .= "var so = new SWFObject('$urlp/jw/player.swf','ply','435','325','9','#000000');";
			$sAttachmentString .= "so.addParam('allowfullscreen','true');";
			$sAttachmentString .= "so.addParam('allowscriptaccess','always');";
			$sAttachmentString .= "so.addParam('wmode','opaque');";
			$sAttachmentString .= "so.addVariable('file','".$videos->guid."');";
			$sAttachmentString .= "so.write('mediaspace".$videos->ID."');";
			$sAttachmentString .= "</script>";
			$sAttachmentString .= "<span class='mp3title'>".$videos->post_title." - ".$videos->post_content."</span>";
			$sAttachmentString .= "</li>";
		endforeach;
	$sAttachmentString .= "</ul></div>";
	endif;


if (get_option('galeri') == 'yes') {
	 if ( $galeriresim = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'image',  //MIME Type condition
	 ))){
	$sAttachmentString .= "<div class='dIW1'><div class='galeri'>";
	 foreach( $galeriresim as $galerir ){ //setup array for more than one file attachment
		$thh = get_option('thh');
		$thw = get_option('thw');
		$blogg = get_bloginfo('url'); 
		$urlp = $blogg."/wp-content/plugins/auto-attachments";
		$file_link = wp_get_attachment_url($galerir->ID);    //get the url for linkage
		$file_name_array=explode("/",$galrerir_link);
		$sAttachmentString .= "<a href='".$galerir->guid."' rel='example4'>";
		$sAttachmentString .= "<img class='colorbox-1' src='$urlp/thumb.php?src=".$galerir->guid."&h=$thh&w=$thw&zc=1'/>";
		$sAttachmentString .= "</a>";
		}
	$sAttachmentString .= "</div></div>";
	}

}

$sAttachmentString .= "</div>";
$sAttachmentString .= "<div style='clear:both;'></div>";
if($echo){
    echo $sAttachmentString;
  }
  return $sAttachmentString;
}

//Insert code after the_content (!important)
add_filter('the_content', 'insertintoContent');
function insertintoContent($content) {
	if(is_single()) {
	$content .= get_attachment_icons();
}
	return $content;
}


//Show Plugin Version into Admin Page
function plugin_get_version() {
	if ( ! function_exists( 'get_plugins' ) )
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	$plugin_folder = get_plugins( '/' . plugin_basename( dirname( __FILE__ ) ) );
	$plugin_file = basename( ( __FILE__ ) );
	return $plugin_folder[$plugin_file]['Version'];
}
?>
